#
# spec file for package susevbox (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gtk i4l mgetty mktemp perl-Tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gtk gzip i4l kbd less libtool libz m4 make man mgetty mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Tk ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         susevbox
Copyright:    Michael Burghart <mb@suse.de>
Group:        X11/Applications/Networking
Provides:     susevbox 
Requires:     i4l mgetty wavplay mktemp perl_tk
Autoreqprov:  on
Summary:      A configuration tool for vbox and an answer phone
Version:      1.1
Release:      428
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
SuSEVboxConf configures vbox2.0 for your Linux system. SuSEVbox serves as
an answer phone.

Authors:
--------
    Michael Burghart <mb@suse.de>

SuSE series: xap

%prep
%setup 
%patch

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/etc
install -m 755 SuSEVbox $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 700 SuSEVboxConf $RPM_BUILD_ROOT/usr/sbin
install -m 755 susevboxplay $RPM_BUILD_ROOT/usr/bin
install -m 755 susevboxconv $RPM_BUILD_ROOT/usr/bin
install -m 600 vboxconfrc $RPM_BUILD_ROOT/etc
install -m 644 vboxconf.hlp $RPM_BUILD_ROOT/usr/lib/susevbox
install -m 644 xvbox.hlp $RPM_BUILD_ROOT/usr/lib/susevbox
install -m 644 standard.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 panic.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 parkline.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 timeout.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 beep.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 Fs.pm $RPM_BUILD_ROOT/usr/lib/susevbox
install -m 644 Path.pm $RPM_BUILD_ROOT/usr/lib/susevbox

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%config /etc/vboxconfrc
%doc README.SuSE susevboxrc-example
/usr/X11R6/bin/SuSEVbox
/usr/bin/susevboxconv
/usr/bin/susevboxplay
/usr/lib/susevbox/Fs.pm
/usr/lib/susevbox/Path.pm
/usr/lib/susevbox/messages/beep.msg
/usr/lib/susevbox/messages/panic.msg
/usr/lib/susevbox/messages/parkline.msg
/usr/lib/susevbox/messages/standard.msg
/usr/lib/susevbox/messages/timeout.msg
/usr/lib/susevbox/vboxconf.hlp
/usr/lib/susevbox/xvbox.hlp
/usr/sbin/SuSEVboxConf

%changelog -n susevbox
* Tue Aug 21 2001 - rvasice@suse.cz
- fix delete incoming messages bug [#9497]
* Tue May 29 2001 - ro@suse.de
- corrected changelog entries
* Fri Apr 06 2001 - kukuk@suse.de
- changed neededforbuild (perl_tk -> perl-Tk)
* Thu Feb 22 2001 - grimmer@suse.de
- added patch from Kurt Huwig <kurt@iku-netz.de> to
  fix "Missing braces on \N{} at /usr/X11R6/bin/SuSEVbox line 1191"
- bzipped sources
- spec file enhancements (BuildRoot, Macros, Group Tag)
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Mon Jan 03 2000 - kkeil@suse.de
- use .wav format for susevboxplay (supported on more sound cards)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Dec 08 1998 - mb@suse.de
- removed hard coded pathnames
- fixed standard entry for vbox.conf and typos
- fixed replacement of standard messages
* Mon Dec 07 1998 - mb@suse.de
- minor fixes for writing vbox.conf correctly, an entry was missing.
- help system modified
* Thu Dec 03 1998 - mb@suse.de
- new initial version 1.1
- provides an answer phone (SuSEVbox) and a vbox configuration
  tool (SuSEVboxConf).
- based on vbox2.0
